/*

Theme Name: Salient Child Theme

Description: This is a custom child theme for Salient

Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266

Author: ThemeNectar

Author URI:  https://themeforest.net/user/themenectar

Template: salient

Version: 1.0

*/


/* Whiteboard CSS 
.whiteboard .wpb_wrapper {
    display: flex;
}
.whiteboard-first-item {
    width: 50%;
    padding: 10px;
    margin: 0 !important;
}
.whiteboard-first-item .featured-image-wrapper {
    position: relative;
    height: 100%;
    border-radius: 12px;
    overflow: hidden;
}
.whiteboard-first-item .featured-image-wrapper img {
	height: 100%;
    width: 100%;
    object-fit: cover;
    aspect-ratio: 1 / 1;
    margin: 0;
}
.whiteboard-first-item .featured-image-wrapper .content {
	position: absolute;
    bottom: 0;
    width: 100%;
    padding: 20px;
    color: #ffffff;
    background: linear-gradient(to top, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
    font-size: 24px;
}
.whiteboard-first-item .content h3 {
    font-size: 40px;
    line-height: 1.2;
    color: #ffffff;
}
.whiteboard-next-items {
    width: 50%;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    height: 100%;
    gap: 20px;
    margin: 0 !important;
}
.whiteboard-next-items .whiteboard-item {
    display: flex;
    width: 100%;
    flex-direction: column;
    border-radius: 12px;
    overflow: hidden;
    position: relative;
}
.whiteboard-next-items .whiteboard-item .image-content img {
    aspect-ratio: 2 / 1;
    object-fit: cover;
    margin: 0 !important;
}
.whiteboard-next-items .whiteboard-item .content {
    width: 100%;
    background: linear-gradient(to top, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
    color: #ffffff;
    padding: 20px;
    position: absolute;
    bottom: 0;
}
*/
.whiteboard-slide {
    padding: 0 15px;
}


.whiteboard-slider {
    margin: 0 -15px;
    overflow: visible;
}
.whiteboard-slider .slick-list {
    overflow: visible;
}
.whiteboard-image {
    position: relative;
    overflow: hidden;
    border-radius: 12px;
}


.whiteboard-image img {
    width: 100% !important;
    height: 100% !important;
    aspect-ratio: 1 / 1;
    object-fit: cover;
    display: block;
    margin-bottom: 0 !important;
    transition: transform .2s ease;
}

/* Overlay */
.whiteboard-overlay {
    position: absolute;
    inset: 0;
    padding: 35px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;

    background: linear-gradient(
        to top,
        rgba(0,0,0,0.7),
        rgba(0,0,0,0.2),
        rgba(0,0,0,0)
    );

    color: #fff;
}
.whiteboard-label {
    margin-bottom: 10px;
}
.whiteboard-label span {
    padding: 5px 14px;
    color: #000000;
    background-color: #ffc501;
    font-size: 14px;
    font-weight: 500;
    border-radius: 8px;
}
.whiteboard-title {
    margin: 0 0 8px;
    font-size: 24px;
    color: #ffffff;
}

.whiteboard-content {
    font-size: 14px;
    line-height: 1.4;
}

/* Optional hover effect */
.whiteboard-card:hover img {
    transform: scale(1.2);
}
/* Base button link */
.whiteboard-card .slider-card-button {
  position: relative;
  display: inline-block;
  text-decoration: none; 
  color: #ffffff;
}

/* Underline */
.whiteboard-card .slider-card-button::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0px;              
  width: 100%;
  height: 1px;               
  background-color: currentColor;
  transform: scaleX(1);      
  transform-origin: left;
  transition: transform 0.4s ease;
}

/* Hover effect: hide underline left → right */
.whiteboard-card .slider-card-button:hover::after {
  transform: scaleX(0);
  transform-origin: right;
}

/* =========
 * Research 
 ========= */ 

 .research-link {
    pointer-events: initial;
}
/* Base button link */
.research-link {
  position: relative;
  display: inline-block;
  text-decoration: none;
  color: #ffffff !important;
}

/* Underline */
.research-link::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0px;              /* adjust underline position */
  width: 100%;
  height: 1px;               /* underline thickness */
  background-color: currentColor;
  transform: scaleX(1);      /* visible initially */
  transform-origin: left;
  transition: transform 0.4s ease;
}

/* Hover effect: hide underline left → right */
.research-link:hover::after {
  transform: scaleX(0);
  transform-origin: right;
}


/* Base button link */

.research-filter {
  position: relative;
  display: inline-block;
  text-decoration: none; 
  cursor: pointer;
  font-size: 18px;
  padding: 20px 30px;
  background: #ffc400;
  border-radius: 8px;
}

/* Underline */
.research-filter span {
    position: relative;
}
.research-filter span:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0px;              /* adjust underline position */
  width: 100%;
  height: 1px;               /* underline thickness */
  background-color: currentColor;
  transform: scaleX(0);      /* visible initially */
  transform-origin: right;
  transition: transform 0.4s ease;
}

/* Hover effect: hide underline left → right */
.research-filter:hover span:after {
  transform: scaleX(1);
  transform-origin: left;
}
.research-filters {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 40px;
    margin-bottom: 40px;
}
.research-filter.active {
    font-weight: 600;
    pointer-events: none;
}
.research-filter.active span:after {
    content: none;
}
.research-filter.publications {
    color: #ffffff;
    background: #000000;
}
#research-grid {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
}

.research-item {
    height: 100%;
    aspect-ratio: 1 / 1;
    padding: 40px;
    display: flex;
    align-items: end;
    justify-content: left;
    width: calc((100% - 60px) / 3);
    border-radius: 12px;
    background-size: cover;
    position: relative;
    overflow: hidden;
}
.research-item:before {
    position: absolute;
    bottom: 0px;
    left: 0px;
    width: 100%;
    height: 75%;
    display: block;
    z-index: 10;
    content: "";
    opacity: 0.9;
    background: linear-gradient(to bottom, rgba(15, 15, 15, 0) 0%, rgba(15, 15, 15, 0.8) 70%, rgba(15, 15, 15, .8) 100%);
    transition: opacity 0.65s cubic-bezier(0.05, 0.2, 0.1, 1);
}
.research-overlay {
    z-index: 999;
}
.research-overlay h3,
.research-overlay p {
    color: #ffffff !important;
}
.research-item.color-bg:after {
    position: absolute;
    width: 100%;
    height: 100%;
    content: "";
    background-image: url(https://bw8wtvtjg3.wpdns.site/wp-content/uploads/2026/02/logo-graphic.png);
    left: 0;
    background-size: contain;
    opacity: .1;
    top: 0;
    transition: transform .2s ease;
}
.research-item:hover:after {
    transform: scale(1.1);
}

.search-post-item a .post-featured-img {
    background-color: #eeeeee;
    background-image: url(https://bw8wtvtjg3.wpdns.site/wp-content/uploads/2026/02/logo-graphic.png);
}
.featured-media-under-header__featured-media[data-has-img="true"] {
    max-width: 1000px;
    margin: 0 auto;
    padding-bottom: 30% !important;
    border-radius: 12px;
}
@media only screen and (max-width: 1024px) {
    .research-item {
        width: calc(50% - 30px);
        aspect-ratio: unset;
        height: 400px;
        padding: 20px;
    }
}
@media only screen and (max-width: 767px) {
    .research-filters {
        flex-direction: column;
        gap: 10px;
        margin-top: 10px;
    }
    .research-filters .research-filter {
        font-size: 16px;
      }
    .research-item {
        width: 100%;
        padding: 20px;
        aspect-ratio: unset;
        height: unset;
    }
    .research-overlay p {
        padding-bottom: 10px;
    }
}



/* ==== SALIENT BREAKPOINT FIX ==== */

@media only screen and (max-width: 1024px) {

  body[data-hhun="0"] #header-outer[data-mobile-fixed="1"] {
    position: fixed !important;
  }

  #top nav > ul {
    display: none !important;
  }

  #top .mobile-search,
  #top .slide-out-widget-area-toggle {
    display: block !important;
  }
    #top .mobile-search {
        display: block !important;
        top: 50%;
        right: 40px;
        position: absolute;
        transform: translateY(-50%);
    }
    header #logo img {
        height: 64px !important;
    }

}

/* SALIENT 1024px BREAKPOINT FIX */

@media only screen and (max-width: 1024px) {

  body:not(.using-mobile-browser) #top nav > ul {
    display: none !important;
  }

  body.using-mobile-browser #top .slide-out-widget-area-toggle {
    display: block !important;
  }

}